playMaker

Author Topic: PlayerSettings Validation: Requested build target group (6) doesn't exist;  (Read 249 times)

arkdzo

  • Playmaker Newbie
  • *
  • Posts: 13
    • View Profile
I have asset Chronos Time Control.. after installing Playmaker i have this errors:

PlayerSettings Validation: Requested build target group (6) doesn't exist; #define symbols for scripting won't be added.
UnityEditor.PlayerSettings:SetScriptingDefineSymbolsForGroup(BuildTargetGroup, String)
Chronos.Addon:AddDefine() (at Assets/Chronos/Source/Utilities/Editor/AddonDetector.cs:117)
Chronos.Addon:Check(Boolean) (at Assets/Chronos/Source/Utilities/Editor/AddonDetector.cs:65)
Chronos.AddonDetector:CheckForAddons(Boolean) (at Assets/Chronos/Source/Utilities/Editor/AddonDetector.cs:31)
Chronos.AddonDetector:OnPostprocessAllAssets(String[], String[], String[], String[]) (at Assets/Chronos/Source/Utilities/Editor/AddonDetector.cs:46)
UnityEditor.AssetPostprocessingInternal:PostprocessAllAssets(String[], String[], String[], String[], String[])

what it means? how can i fix it?

Gua

  • Junior Playmaker
  • **
  • Posts: 95
    • View Profile
    • Andrii Vintsevych
Just updated to 5.6 got similar error.

PlayerSettings Validation: Requested build target group (27) doesn't exist; #define symbols for scripting won't be added.
UnityEditor.PlayerSettings:SetScriptingDefineSymbolsForGroup(BuildTargetGroup, String)
HutongGames.PlayMakerEditor.PlayMakerDefines:AddScriptingDefineSymbolToAllTargets(String) (at Assets/PlayMaker/Editor/PlayMakerDefines.cs:37)
HutongGames.PlayMakerEditor.PlayMakerDefines:.cctor() (at Assets/PlayMaker/Editor/PlayMakerDefines.cs:21)
UnityEditor.EditorAssemblies:ProcessInitializeOnLoadAttributes()

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 11622
    • View Profile
Hi,

 you need to get the latest Playmaker from the Asset store, it' just updated on the 31st of march.

 Bye,

 Jean

jaybury

  • Playmaker Newbie
  • *
  • Posts: 5
    • View Profile
I've just updated to Unity 5.6.0f3, I've updated the new playmaker version as well and I'm having similar issues.

Exact same message 4 times in the console


PET

  • Full Member
  • ***
  • Posts: 128
    • View Profile
    • GamerPET
I also had a similar problem (if I remember correctly) ... but I just updated to 1.8.4 and the error seems to be gone.